const { IPC } = require('../enum')
const mainInit = require('./mainApi/index')

class IpcMain {
  constructor(mainWindow) {
    this.mainWindow = mainWindow
    this.init()
  }

  send(msg) {
    this.mainWindow.webContents.send(IPC.MAIN_TO_RENDERER, msg)
  }

  init() {
    mainInit()
  }
}

module.exports = IpcMain